import java.io.*;

public class Dir {
    protected File d;
	protected FilenameFilter filter;

    public Dir(String dir, FilenameFilter filter) {
        d = new File(dir);
		this.filter = filter; 
    }

    public void print() {
        File files[] = null;
		if(filter != null) {
			files = d.listFiles(filter);
		} else {
			files = d.listFiles();
		}
		if(files == null) {
			System.err.println(d.getName() + " 丮 ϴ.");
			return;
		}
        for(int i=0; i < files.length; i++) {
			System.out.print("["+ i+"]\t");
            System.out.print(files[i].getName());
            System.out.print("\t\t");
            System.out.println(files[i].length());
        }
    }

    public static void main(String args[]) {
		Dir d = new Dir(".", new ExtensionFilter(".java"));		
        d.print();
    }
}
